<div class="wrap">
	<h2><?php _e('WordPress Facebook Like Options', 'wpfblike');?></h2>
	<form method="post" action="options.php">
		<?php settings_fields('wpfblike_options'); ?>
		<h3><?php _e('Basic Settings', 'wpfblike');?></h3>
		<table class="form-table">
			<tr valign="top">
				<th scope="row"><?php _e('Layout', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_layout" style="width:150px;">
						<option value="default" <?php echo wpfblikeisselected('default', get_option('wpfblike_layout', 'default')); ?>><?php _e('Default', 'wpfblike');?></option>
						<option value="button_count" <?php echo wpfblikeisselected('button_count', get_option('wpfblike_layout', 'default')); ?>><?php _e('Button Count', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('Choose which layout to use. Default displays more information, while Button Count only shows the number of likes.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Language', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_fblanguage" style="width:150px;">
						<option value='automatic' <?php echo wpfblikeisselected('automatic', get_option('wpfblike_fblanguage', 'automatic')); ?>><?php _e('Automatic', 'wpfblike');?></option>
						<option value='af_ZA' <?php echo wpfblikeisselected('af_ZA', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Afrikaans', 'wpfblike');?></option>
						<option value='sq_AL' <?php echo wpfblikeisselected('sq_AL', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Albanian', 'wpfblike');?></option>
						<option value='ar_AR' <?php echo wpfblikeisselected('ar_AR', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Arabic', 'wpfblike');?></option>
						<option value='hy_AM' <?php echo wpfblikeisselected('hy_AM', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Armenian', 'wpfblike');?></option>
						<option value='ay_BO' <?php echo wpfblikeisselected('ay_BO', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Aymara', 'wpfblike');?></option>
						<option value='az_AZ' <?php echo wpfblikeisselected('az_AZ', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Azeri', 'wpfblike');?></option>
						<option value='eu_ES' <?php echo wpfblikeisselected('eu_ES', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Basque', 'wpfblike');?></option>
						<option value='be_BY' <?php echo wpfblikeisselected('be_BY', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Belarusian', 'wpfblike');?></option>
						<option value='bn_IN' <?php echo wpfblikeisselected('bn_IN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Bengali', 'wpfblike');?></option>
						<option value='bs_BA' <?php echo wpfblikeisselected('bs_BA', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Bosnian', 'wpfblike');?></option>
						<option value='bg_BG' <?php echo wpfblikeisselected('bg_BG', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Bulgarian', 'wpfblike');?></option>
						<option value='ca_ES' <?php echo wpfblikeisselected('ca_ES', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Catalan', 'wpfblike');?></option>
						<option value='ck_US' <?php echo wpfblikeisselected('ck_US', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Cherokee', 'wpfblike');?></option>
						<option value='hr_HR' <?php echo wpfblikeisselected('hr_HR', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Croatian', 'wpfblike');?></option>
						<option value='cs_CZ' <?php echo wpfblikeisselected('cs_CZ', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Czech', 'wpfblike');?></option>
						<option value='da_DK' <?php echo wpfblikeisselected('da_DK', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Danish', 'wpfblike');?></option>
						<option value='nl_NL' <?php echo wpfblikeisselected('nl_NL', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Dutch', 'wpfblike');?></option>
						<option value='nl_BE' <?php echo wpfblikeisselected('nl_BE', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Dutch (België)', 'wpfblike');?></option>
						<option value='en_PI' <?php echo wpfblikeisselected('en_PI', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('English (Pirate)', 'wpfblike');?></option>
						<option value='en_GB' <?php echo wpfblikeisselected('en_GB', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('English (UK)', 'wpfblike');?></option>
						<option value='en_US' <?php echo wpfblikeisselected('en_US', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('English (US)', 'wpfblike');?></option>
						<option value='en_UD' <?php echo wpfblikeisselected('en_UD', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('English (Upside Down)', 'wpfblike');?></option>
						<option value='eo_EO' <?php echo wpfblikeisselected('eo_EO', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Esperanto', 'wpfblike');?></option>
						<option value='et_EE' <?php echo wpfblikeisselected('et_EE', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Estonian', 'wpfblike');?></option>
						<option value='fo_FO' <?php echo wpfblikeisselected('fo_FO', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Faroese', 'wpfblike');?></option>
						<option value='tl_PH' <?php echo wpfblikeisselected('tl_PH', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Filipino', 'wpfblike');?></option>
						<option value='fi_FI' <?php echo wpfblikeisselected('fi_FI', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Finnish', 'wpfblike');?></option>
						<option value='fb_FI' <?php echo wpfblikeisselected('fb_FI', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Finnish (test)', 'wpfblike');?></option>
						<option value='fr_CA' <?php echo wpfblikeisselected('fr_CA', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('French (Canada)', 'wpfblike');?></option>
						<option value='fr_FR' <?php echo wpfblikeisselected('fr_FR', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('French (France)', 'wpfblike');?></option>
						<option value='gl_ES' <?php echo wpfblikeisselected('gl_ES', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Galician', 'wpfblike');?></option>
						<option value='ka_GE' <?php echo wpfblikeisselected('ka_GE', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Georgian', 'wpfblike');?></option>
						<option value='de_DE' <?php echo wpfblikeisselected('de_DE', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('German', 'wpfblike');?></option>
						<option value='el_GR' <?php echo wpfblikeisselected('el_GR', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Greek', 'wpfblike');?></option>
						<option value='gn_PY' <?php echo wpfblikeisselected('gn_PY', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Guaraní', 'wpfblike');?></option>
						<option value='gu_IN' <?php echo wpfblikeisselected('gu_IN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Gujarati', 'wpfblike');?></option>
						<option value='he_IL' <?php echo wpfblikeisselected('he_IL', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Hebrew', 'wpfblike');?></option>
						<option value='hi_IN' <?php echo wpfblikeisselected('hi_IN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Hindi', 'wpfblike');?></option>
						<option value='hu_HU' <?php echo wpfblikeisselected('hu_HU', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Hungarian', 'wpfblike');?></option>
						<option value='is_IS' <?php echo wpfblikeisselected('is_IS', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Icelandic', 'wpfblike');?></option>
						<option value='id_ID' <?php echo wpfblikeisselected('id_ID', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Indonesian', 'wpfblike');?></option>
						<option value='ga_IE' <?php echo wpfblikeisselected('ga_IE', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Irish', 'wpfblike');?></option>
						<option value='it_IT' <?php echo wpfblikeisselected('it_IT', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Italian', 'wpfblike');?></option>
						<option value='ja_JP' <?php echo wpfblikeisselected('ja_JP', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Japanese', 'wpfblike');?></option>
						<option value='jv_ID' <?php echo wpfblikeisselected('jv_ID', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Javanese', 'wpfblike');?></option>
						<option value='kn_IN' <?php echo wpfblikeisselected('kn_IN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Kannada', 'wpfblike');?></option>
						<option value='kk_KZ' <?php echo wpfblikeisselected('kk_KZ', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Kazakh', 'wpfblike');?></option>
						<option value='km_KH' <?php echo wpfblikeisselected('km_KH', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Khmer', 'wpfblike');?></option>
						<option value='tl_ST' <?php echo wpfblikeisselected('tl_ST', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Klingon', 'wpfblike');?></option>
						<option value='ko_KR' <?php echo wpfblikeisselected('ko_KR', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Korean', 'wpfblike');?></option>
						<option value='ku_TR' <?php echo wpfblikeisselected('ku_TR', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Kurdish', 'wpfblike');?></option>
						<option value='la_VA' <?php echo wpfblikeisselected('la_VA', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Latin', 'wpfblike');?></option>
						<option value='lv_LV' <?php echo wpfblikeisselected('lv_LV', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Latvian', 'wpfblike');?></option>
						<option value='fb_LT' <?php echo wpfblikeisselected('fb_LT', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Leet Speak', 'wpfblike');?></option>
						<option value='li_NL' <?php echo wpfblikeisselected('li_NL', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Limburgish', 'wpfblike');?></option>
						<option value='lt_LT' <?php echo wpfblikeisselected('lt_LT', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Lithuanian', 'wpfblike');?></option>
						<option value='mk_MK' <?php echo wpfblikeisselected('mk_MK', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Macedonian', 'wpfblike');?></option>
						<option value='mg_MG' <?php echo wpfblikeisselected('mg_MG', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Malagasy', 'wpfblike');?></option>
						<option value='ms_MY' <?php echo wpfblikeisselected('ms_MY', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Malay', 'wpfblike');?></option>
						<option value='ml_IN' <?php echo wpfblikeisselected('ml_IN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Malayalam', 'wpfblike');?></option>
						<option value='mt_MT' <?php echo wpfblikeisselected('mt_MT', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Maltese', 'wpfblike');?></option>
						<option value='mr_IN' <?php echo wpfblikeisselected('mr_IN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Marathi', 'wpfblike');?></option>
						<option value='mn_MN' <?php echo wpfblikeisselected('mn_MN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Mongolian', 'wpfblike');?></option>
						<option value='ne_NP' <?php echo wpfblikeisselected('ne_NP', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Nepali', 'wpfblike');?></option>
						<option value='se_NO' <?php echo wpfblikeisselected('se_NO', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Northern Sámi', 'wpfblike');?></option>
						<option value='nb_NO' <?php echo wpfblikeisselected('nb_NO', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Norwegian (bokmal)', 'wpfblike');?></option>
						<option value='nn_NO' <?php echo wpfblikeisselected('nn_NO', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Norwegian (nynorsk)', 'wpfblike');?></option>
						<option value='ps_AF' <?php echo wpfblikeisselected('ps_AF', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Pashto', 'wpfblike');?></option>
						<option value='fa_IR' <?php echo wpfblikeisselected('fa_IR', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Persian', 'wpfblike');?></option>
						<option value='pl_PL' <?php echo wpfblikeisselected('pl_PL', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Polish', 'wpfblike');?></option>
						<option value='pt_BR' <?php echo wpfblikeisselected('pt_BR', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Portuguese (Brazil)', 'wpfblike');?></option>
						<option value='pt_PT' <?php echo wpfblikeisselected('pt_PT', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Portuguese (Portugal)', 'wpfblike');?></option>
						<option value='pa_IN' <?php echo wpfblikeisselected('pa_IN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Punjabi', 'wpfblike');?></option>
						<option value='qu_PE' <?php echo wpfblikeisselected('qu_PE', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Quechua', 'wpfblike');?></option>
						<option value='ro_RO' <?php echo wpfblikeisselected('ro_RO', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Romanian', 'wpfblike');?></option>
						<option value='rm_CH' <?php echo wpfblikeisselected('rm_CH', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Romansh', 'wpfblike');?></option>
						<option value='ru_RU' <?php echo wpfblikeisselected('ru_RU', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Russian', 'wpfblike');?></option>
						<option value='sa_IN' <?php echo wpfblikeisselected('sa_IN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Sanskrit', 'wpfblike');?></option>
						<option value='sr_RS' <?php echo wpfblikeisselected('sr_RS', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Serbian', 'wpfblike');?></option>
						<option value='zh_CN' <?php echo wpfblikeisselected('zh_CN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Simplified Chinese (China)', 'wpfblike');?></option>
						<option value='sk_SK' <?php echo wpfblikeisselected('sk_SK', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Slovak', 'wpfblike');?></option>
						<option value='sl_SI' <?php echo wpfblikeisselected('sl_SI', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Slovenian', 'wpfblike');?></option>
						<option value='so_SO' <?php echo wpfblikeisselected('so_SO', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Somali', 'wpfblike');?></option>
						<option value='es_LA' <?php echo wpfblikeisselected('es_LA', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Spanish', 'wpfblike');?></option>
						<option value='es_CL' <?php echo wpfblikeisselected('es_CL', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Spanish (Chile)', 'wpfblike');?></option>
						<option value='es_CO' <?php echo wpfblikeisselected('es_CO', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Spanish (Colombia)', 'wpfblike');?></option>
						<option value='es_MX' <?php echo wpfblikeisselected('es_MX', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Spanish (Mexico)', 'wpfblike');?></option>
						<option value='es_ES' <?php echo wpfblikeisselected('es_ES', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Spanish (Spain)', 'wpfblike');?></option>
						<option value='es_VE' <?php echo wpfblikeisselected('es_VE', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Spanish (Venezuela)', 'wpfblike');?></option>
						<option value='sw_KE' <?php echo wpfblikeisselected('sw_KE', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Swahili', 'wpfblike');?></option>
						<option value='sv_SE' <?php echo wpfblikeisselected('sv_SE', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Swedish', 'wpfblike');?></option>
						<option value='sy_SY' <?php echo wpfblikeisselected('sy_SY', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Syriac', 'wpfblike');?></option>
						<option value='tg_TJ' <?php echo wpfblikeisselected('tg_TJ', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Tajik', 'wpfblike');?></option>
						<option value='ta_IN' <?php echo wpfblikeisselected('ta_IN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Tamil', 'wpfblike');?></option>
						<option value='tt_RU' <?php echo wpfblikeisselected('tt_RU', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Tatar', 'wpfblike');?></option>
						<option value='te_IN' <?php echo wpfblikeisselected('te_IN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Telugu', 'wpfblike');?></option>
						<option value='th_TH' <?php echo wpfblikeisselected('th_TH', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Thai', 'wpfblike');?></option>
						<option value='zh_HK' <?php echo wpfblikeisselected('zh_HK', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Traditional Chinese (Hong Kong)', 'wpfblike');?></option>
						<option value='zh_TW' <?php echo wpfblikeisselected('zh_TW', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Traditional Chinese (Taiwan)', 'wpfblike');?></option>
						<option value='tr_TR' <?php echo wpfblikeisselected('tr_TR', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Turkish', 'wpfblike');?></option>
						<option value='uk_UA' <?php echo wpfblikeisselected('uk_UA', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Ukrainian', 'wpfblike');?></option>
						<option value='ur_PK' <?php echo wpfblikeisselected('ur_PK', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Urdu', 'wpfblike');?></option>
						<option value='uz_UZ' <?php echo wpfblikeisselected('uz_UZ', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Uzbek', 'wpfblike');?></option>
						<option value='vi_VN' <?php echo wpfblikeisselected('vi_VN', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Vietnamese', 'wpfblike');?></option>
						<option value='cy_GB' <?php echo wpfblikeisselected('cy_GB', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Welsh', 'wpfblike');?></option>
						<option value='xh_ZA' <?php echo wpfblikeisselected('xh_ZA', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Xhosa', 'wpfblike');?></option>
						<option value='yi_DE' <?php echo wpfblikeisselected('yi_DE', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Yiddish', 'wpfblike');?></option>
						<option value='zu_ZA' <?php echo wpfblikeisselected('zu_ZA', get_option('wpfblike_fblanguage', 'en_US')); ?>><?php _e('Zulu', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('XFBML only: Choose which language to use for the button.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Show faces', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_show_faces" style="width:150px;">
						<option value="true" <?php echo wpfblikeisselected('true', get_option('wpfblike_show_faces', 'true')); ?>><?php _e('Yes', 'wpfblike');?></option>
						<option value="false" <?php echo wpfblikeisselected('false', get_option('wpfblike_show_faces', 'true')); ?>><?php _e('No', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('Choose whether to show faces when the Default layout option is used.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Color scheme', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_colorscheme" style="width:150px;">
						<option value="light" <?php echo wpfblikeisselected('light', get_option('wpfblike_colorscheme', 'light')); ?>><?php _e('Light', 'wpfblike');?></option>
						<option value="dark" <?php echo wpfblikeisselected('dark', get_option('wpfblike_colorscheme', 'light')); ?>><?php _e('Dark', 'wpfblike');?></option>
						<option value="evil" <?php echo wpfblikeisselected('evil', get_option('wpfblike_colorscheme', 'light')); ?>><?php _e('Evil', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('A selection of button themes to match your website.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Button text', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_action" style="width:150px;">
						<option value="like" <?php echo wpfblikeisselected('like', get_option('wpfblike_action', 'like')); ?>><?php _e('Like', 'wpfblike');?></option>
						<option value="recommend" <?php echo wpfblikeisselected('recommend', get_option('wpfblike_action', 'like')); ?>><?php _e('Recommend', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('Choose what the like button should say.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Width (in pixels)', 'wpfblike');?></th>
				<td><input type="text" name="wpfblike_width" value="<?php echo get_option('wpfblike_width', '400'); ?>"  style="width:150px;" /></td>
				<td>
					<small><?php _e('The width of the button widget. Keep this smaller than the width of your post.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Height (in pixels)', 'wpfblike');?></th>
				<td><input type="text" name="wpfblike_height" value="<?php echo get_option('wpfblike_height', '40'); ?>"  style="width:150px;" /></td>
				<td>
					<small><?php _e('The height of your button. If you disable "show faces", you may set this to 0 to remove excess whitespace after the button. If you are using faces and want to keep it small, a value of 50 should be enough. If you leave this empty, the Facebok default will be used.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Automatically insert', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_autoinsert" style="width:150px;">
						<option value="before" <?php echo wpfblikeisselected('before', get_option('wpfblike_autoinsert', 'after')); ?>><?php _e('Before', 'wpfblike');?></option>
						<option value="after" <?php echo wpfblikeisselected('after', get_option('wpfblike_autoinsert', 'after')); ?>><?php _e('After', 'wpfblike');?></option>
						<option value="both" <?php echo wpfblikeisselected('both', get_option('wpfblike_autoinsert', 'after')); ?>><?php _e('Both', 'wpfblike');?></option>
						<option value="false" <?php echo wpfblikeisselected('false', get_option('wpfblike_autoinsert', 'after')); ?>><?php _e('No', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('Automatically insert the button before, or after the post, or both. If false is selected, manually insert the button using the [wpfblike] shortcode in your posts, or &lt;?php if(function_exists("wpfblike")) echo wpfblike(); ?&gt; in your template.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Hide on front page', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_show_singleonly" style="width:150px;">
						<option value="true" <?php echo wpfblikeisselected('true', get_option('wpfblike_show_singleonly', 'false')); ?>><?php _e('Yes', 'wpfblike');?></option>
						<option value="false" <?php echo wpfblikeisselected('false', get_option('wpfblike_show_singleonly', 'false')); ?>><?php _e('No', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('Choose to show the button for posts on the front page.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Show on posts', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_show_posts" style="width:150px;">
						<option value="true" <?php echo wpfblikeisselected('true', get_option('wpfblike_show_posts', 'true')); ?>><?php _e('Yes', 'wpfblike');?></option>
						<option value="false" <?php echo wpfblikeisselected('false', get_option('wpfblike_show_posts', 'true')); ?>><?php _e('No', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('Choose to show the button on posts not on the front page.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Show on pages', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_show_pages" style="width:150px;">
						<option value="true" <?php echo wpfblikeisselected('true', get_option('wpfblike_show_pages', 'true')); ?>><?php _e('Yes', 'wpfblike');?></option>
						<option value="false" <?php echo wpfblikeisselected('false', get_option('wpfblike_show_pages', 'true')); ?>><?php _e('No', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('Choose to show the button on pages.', 'wpfblike');?></small>
				</td>
			</tr>
		</table>
		<p>&nbsp;</p>
		<h3><?php _e('Advanced Settings', 'wpfblike');?></h3>
		<table class="form-table">
			<tr valign="top">
				<th scope="row"><?php _e('Embedding method', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_embedmethod" style="width:150px;">
						<option value="xfbml" <?php echo wpfblikeisselected('xfbml', get_option('wpfblike_embedmethod', 'xfbml')); ?>><?php _e('xfbml', 'wpfblike');?></option>
						<option value="iframe" <?php echo wpfblikeisselected('iframe', get_option('wpfblike_embedmethod', 'xfbml')); ?>><?php _e('iframe', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('Choose between using xfbml javascript embedding, or if you encounter compatibility issues with other plugins, choose the iframe method.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Facebook App ID', 'wpfblike');?></th>
				<td><input type="text" name="wpfblike_fbappid" value="<?php echo get_option('wpfblike_fbappid', 'null'); ?>"  style="width:150px;" /></td>
				<td>
					<small><?php _e('XFBML only: Optionally enter a Facebook App ID here to enable the commenting box. Start by <a href="http://developers.facebook.com/setup/" target="_blank">creating a Facebook Application</a>, then enter the Application ID you were provided with here.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Facebook Admins', 'wpfblike');?></th>
				<td><input type="text" name="wpfblike_fbadmins" value="<?php echo get_option('wpfblike_fbadmins', ''); ?>"  style="width:150px;" /></td>
				<td>
					<small><?php _e('XFBML+OG only: Optionally enter a list of Facebook Admins here to create a Facebook page for the liked post. See the <a href="http://www.facebook.com/pages/manage/" target="_blank">list of pages</a> for statistics and to send messages to users. Get your ID in <a href="http://www.facebook.com/insights/" target="_blank">Insights</a> by clicking on "Insights for your domain".', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Facebook SDK', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_fbsdkenable" style="width:150px;">
						<option value="true" <?php echo wpfblikeisselected('true', get_option('wpfblike_fbsdkenable', 'true')); ?>><?php _e('Enabled', 'wpfblike');?></option>
						<option value="false" <?php echo wpfblikeisselected('false', get_option('wpfblike_fbsdkenable', 'true')); ?>><?php _e('Disabled', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('XFBML only: If you are including the Facebook Javascript SDK in another way, you can disable the automatic inclusion it here.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Facebook Open Graph', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_opengraph" style="width:150px;">
						<option value="true" <?php echo wpfblikeisselected('true', get_option('wpfblike_opengraph', 'false')); ?>><?php _e('Enabled', 'wpfblike');?></option>
						<option value="false" <?php echo wpfblikeisselected('false', get_option('wpfblike_opengraph', 'false')); ?>><?php _e('Disabled', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('XFBML only: Enabling Open Graph makes likes appear on Facebook like "Name likes post on page" instead of "Name likes post". Note that enabling Open Graph will disable the like button on the front page.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Permalink type', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_permalinktype" style="width:150px;">
						<option value="permalink" <?php echo wpfblikeisselected('permalink', get_option('wpfblike_permalinktype', 'permalink')); ?>><?php _e('Permalink', 'wpfblike');?></option>
						<option value="server" <?php echo wpfblikeisselected('server', get_option('wpfblike_permalinktype', 'permalink')); ?>><?php _e('Server', 'wpfblike');?></option>
					</select>
				</td>
				<td>
					<small><?php _e('If you are a template developer and want to use the like button outside the WordPress loop, choose Server to make the plugin guess the URL. Note that by selecting Server, the like button will be hidden on the front page.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Custom CSS style', 'wpfblike');?></th>
				<td><input type="text" name="wpfblike_cssstyle" value="<?php echo get_option('wpfblike_cssstyle', ''); ?>"  style="width:150px;" /></td>
				<td>
					<small><?php _e('Optionally enter custom CSS style here. Note that this will override the height value above.', 'wpfblike');?></small>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Button priority', 'wpfblike');?></th>
				<td>
					<select name="wpfblike_buttonpriority" style="width:150px;">
						<option value="0" <?php echo wpfblikeisselected('0', get_option('wpfblike_buttonpriority', '10')); ?>>0</option>
						<option value="1" <?php echo wpfblikeisselected('1', get_option('wpfblike_buttonpriority', '10')); ?>>1</option>
						<option value="2" <?php echo wpfblikeisselected('2', get_option('wpfblike_buttonpriority', '10')); ?>>2</option>
						<option value="3" <?php echo wpfblikeisselected('3', get_option('wpfblike_buttonpriority', '10')); ?>>3</option>
						<option value="4" <?php echo wpfblikeisselected('4', get_option('wpfblike_buttonpriority', '10')); ?>>4</option>
						<option value="5" <?php echo wpfblikeisselected('5', get_option('wpfblike_buttonpriority', '10')); ?>>5</option>
						<option value="6" <?php echo wpfblikeisselected('6', get_option('wpfblike_buttonpriority', '10')); ?>>6</option>
						<option value="7" <?php echo wpfblikeisselected('7', get_option('wpfblike_buttonpriority', '10')); ?>>7</option>
						<option value="8" <?php echo wpfblikeisselected('8', get_option('wpfblike_buttonpriority', '10')); ?>>8</option>
						<option value="9" <?php echo wpfblikeisselected('9', get_option('wpfblike_buttonpriority', '10')); ?>>9</option>
						<option value="10" <?php echo wpfblikeisselected('10', get_option('wpfblike_buttonpriority', '10')); ?>>10</option>
						<option value="11" <?php echo wpfblikeisselected('11', get_option('wpfblike_buttonpriority', '10')); ?>>11</option>
						<option value="12" <?php echo wpfblikeisselected('12', get_option('wpfblike_buttonpriority', '10')); ?>>12</option>
						<option value="13" <?php echo wpfblikeisselected('13', get_option('wpfblike_buttonpriority', '10')); ?>>13</option>
						<option value="14" <?php echo wpfblikeisselected('14', get_option('wpfblike_buttonpriority', '10')); ?>>14</option>
						<option value="15" <?php echo wpfblikeisselected('15', get_option('wpfblike_buttonpriority', '10')); ?>>15</option>
						<option value="16" <?php echo wpfblikeisselected('16', get_option('wpfblike_buttonpriority', '10')); ?>>16</option>
						<option value="17" <?php echo wpfblikeisselected('17', get_option('wpfblike_buttonpriority', '10')); ?>>17</option>
						<option value="18" <?php echo wpfblikeisselected('18', get_option('wpfblike_buttonpriority', '10')); ?>>18</option>
						<option value="19" <?php echo wpfblikeisselected('19', get_option('wpfblike_buttonpriority', '10')); ?>>19</option>
						<option value="20" <?php echo wpfblikeisselected('20', get_option('wpfblike_buttonpriority', '10')); ?>>20</option>
					</select>
				</td>
				<td>
					<small><?php _e('If you are using the automatic embedding and want the button to appear before or after other plugins residing in the same place, you may modify the priority. Smaller numbers mean that it will be placed earlier, and larger the opposite. The default priority is 10.', 'wpfblike');?></small>
				</td>
			</tr>
		</table>
		<p class="submit">
			<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
		</p>
	</form>
	<p><?php _e('For more information and help, please visit the <a href="http://johnny.chadda.se/projects/wp-facebook-like/" target="_blank">WP Facebook Like</a> website. If you find this plugin useful, please consider making a small <a href="http://johnny.chadda.se/donate/" target="_blank">donation</a> for future development.');?></p>
</div>